package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.List;

import com.huatek.busi.dto.SimulateResultDto;
import com.huatek.busi.vo.warning.BusiEqmWarningTaskVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.DataOutputEntityDto;
import com.huatek.busi.vo.dataoutput.DataOutputEntityVo;
import com.huatek.busi.vo.dataoutput.OutputEquipmentVo;

/**
 * 数据输出记录 Mapper
 *
 * @author anker_cheng
 * @date Oct 12, 2019 9:57:53 AM
 */
@Repository
public interface DataOutputEntityMapper {

    /**
     * 分页查询 数据输出记录
     *
     * @param dataOutputEntityDto
     *            数据输出记录Dto
     * @return Page 数据输出记录List
     */
    Page<DataOutputEntityVo> selectDataOutputEntityPage(DataOutputEntityDto dataOutputEntityDto);

    DataOutputEntityVo getDataOutputEntityVo(@Param("id") String id);

    int deleteByDay(@Param("day") LocalDate day);
    
    
    List<OutputEquipmentVo> findOutputMainEquips(@Param("mainEquipmentType")String mainEquipmentType);

    List<OutputEquipmentVo> transformerList();

    List<OutputEquipmentVo> gisList();

    List<OutputEquipmentVo> arresterList();

    List<OutputEquipmentVo> otherList();

    List<OutputEquipmentVo> generatorList();

    List<OutputEquipmentVo> cwgList();

    List<OutputEquipmentVo> dlList();

    SimulateResultDto getSimulateResultDto(@Param("mainId") String mainId);

    List<BusiEqmWarningTaskVo> findWarinList();
}
